/* This file is part of Cinaest.
 *
 * Copyright (C) 2009 Philipp Zabel
 *
 * Cinaest is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Cinaest is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Cinaest. If not, see <http://www.gnu.org/licenses/>.
 */

public class Poster : Object {
	public const int SMALL_WIDTH = (800 - 2*Hildon.MARGIN_DOUBLE - 4*Hildon.MARGIN_HALF)/5;
	public const int SMALL_HEIGHT = (420 - Hildon.MARGIN_HALF)/2;
	public const int ICON_WIDTH = 46;
	public const int ICON_HEIGHT = 64;

	public Gdk.Pixbuf large;
	public Gdk.Pixbuf small;
	public Gdk.Pixbuf icon;
}

public class Movie : Object {
	public string title { get; set; }
	public string secondary { get; set; }
	public int year { get; set; }
	public int rating { get; set; }
	public uint julian_date { get; set; }
	public Genres genres;
	public Poster poster { get; set; }

	construct {
		rating = -1;
		julian_date = 0;
	}

	public virtual string get_plot () {
		print ("get_plot (%s)\n", title);
		return "";
	}
}

